Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113201 - obfs4: FTBFS in Fedora rawhide/f37
Summary: obfs4: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: obfs4
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:25 UTC by Fedora Release Engineering
Modified: 2023-07-24 02:50 UTC (History)
2 users (show)

Fixed In Version: obfs4-0.0.14-1.20221103gitproxy.0.0.14.fc38 obfs4-0.0.14-1.20221103gitproxy.0.0.14.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-24 01:29:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:25 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:25 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:25:11 UTC
obfs4 failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89769018


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix obfs4 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
obfs4 will be orphaned. Before branching of Fedora 38,
obfs4 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:25:13 UTC
Created attachment 1901040 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:25:14 UTC
Created attachment 1901041 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:25:15 UTC
Created attachment 1901042 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:40:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Fedora Update System 2023-07-15 09:34:20 UTC
FEDORA-2023-3a226b1aaf has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3a226b1aaf

Comment 6 Fedora Update System 2023-07-15 09:34:23 UTC
FEDORA-2023-dfff6e0c2c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-dfff6e0c2c

Comment 7 Fedora Update System 2023-07-16 02:19:06 UTC
FEDORA-2023-dfff6e0c2c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-dfff6e0c2c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-dfff6e0c2c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-07-16 03:21:04 UTC
FEDORA-2023-3a226b1aaf has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3a226b1aaf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3a226b1aaf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-07-24 01:29:35 UTC
FEDORA-2023-3a226b1aaf has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-07-24 02:50:57 UTC
FEDORA-2023-dfff6e0c2c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.